registercheckby openlaw group
API referenceSearch

List newly registered companies

GET
/search/new-registrations

Companies whose first register entry falls in the requested window, newest first.

Costs 10 credits per page.

Authorization

bearerAuth
AuthorizationBearer <token>

Your API key, sent as Authorization: Bearer rc_live_….

In: header

Query Parameters

registered_date_gte*string

First day of the window.

Formatdate
registered_date_lte?string

Last day of the window. Defaults to today.

Formatdate
register_court_code?string

Only companies registered at this court.

Match^[A-Z][0-9]{4}$
limit?integer

Page size.

Range1 <= value <= 100
Default20
page?string

The next_page token of the previous search result.

Lengthlength <= 500

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/search/new-registrations?registered_date_gte=2019-08-24"
{  "object": "search_result",  "has_more": true,  "next_page": "string",  "total_count": 0,  "data": [    {      "object": "company_summary",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "status": "active",      "legal_form_code": "gmbh",      "register": {        "court": {          "code": "D2601",          "name": "Amtsgericht München"        },        "type": "HRA",        "number": "292661",        "display": "Amtsgericht München HRB 292661",        "country": "DE"      },      "city": "string",      "incorporation_date": "2019-08-24"    }  ]}